from builtins import str
import os
import shutil

from algowrap import credentials as creds


def clear_output_dirs(iter_id):
    '''
    This functions deletes the folders and files generated while execution of
    the algorithms.
    This functions deletes the folders present in the output_files folder
    which ensures that .pem file is not deleted as it is present at depth 0
    in output_files folders
    '''
    output_file_dir = creds.MOUNT_FILE_PATH
    path = output_file_dir + os.sep + str(iter_id)
    if os.path.isdir(path):
        shutil.rmtree(path, ignore_errors=True)
